Interface IncomingCallEvent
- All Superinterfaces:
VoiceCallSinchEvent,VoiceSinchEvent
The request body of an Incoming Call Event.
-
Nested Class Summary
Nested ClassesModifier and TypeInterfaceDescriptionstatic interfaceDedicated Builder -
Method Summary
Modifier and TypeMethodDescriptionstatic IncomingCallEvent.Builderbuilder()Getting builderThe unique application key.If the call is initiated by a Sinch SDK client, call headers are the headers specified by the caller client.The path of the API resource.getCli()The number that will be displayed to the recipient of the call.A string that can be used to pass custom information related to the call.Get domainThe duration of the call in seconds.Get originationTypegetRdnis()The redirected dialled number identification service.The timestamp in UTC format.getTo()Get toGet userRateMethods inherited from interface com.sinch.sdk.domains.voice.models.v1.sinchevents.VoiceSinchEvent
getCallid, getConferenceId, getVersion
-
Method Details
-
getTimestamp
Instant getTimestamp()The timestamp in UTC format.- Specified by:
getTimestampin interfaceVoiceCallSinchEvent- Returns:
- timestamp
-
getCustom
String getCustom()A string that can be used to pass custom information related to the call.- Specified by:
getCustomin interfaceVoiceCallSinchEvent- Returns:
- custom
-
getApplicationKey
String getApplicationKey()The unique application key. You can find it in the Sinch dashboard.- Specified by:
getApplicationKeyin interfaceVoiceCallSinchEvent- Returns:
- applicationKey
-
getCallResourceUrl
String getCallResourceUrl()The path of the API resource.- Returns:
- callResourceUrl
-
getUserRate
Price getUserRate()Get userRate- Returns:
- userRate
-
getCli
String getCli()The number that will be displayed to the recipient of the call. To set your own CLI, you may use your verified number or your Dashboard virtual number and add it to theconnectPSTNSVAML response to the Incoming Call Event request. It must be in E.164 format.- Returns:
- cli
-
getTo
Destination getTo()Get to- Returns:
- to
-
getDomain
Domain getDomain()Get domain- Returns:
- domain
-
getOriginationType
Domain getOriginationType()Get originationType- Returns:
- originationType
-
getDuration
Integer getDuration()The duration of the call in seconds.- Returns:
- duration
-
getRdnis
String getRdnis()The redirected dialled number identification service.- Returns:
- rdnis
-
getCallHeaders
List<CallHeader> getCallHeaders()If the call is initiated by a Sinch SDK client, call headers are the headers specified by the caller client. Read more about call headers here.- Returns:
- callHeaders
-
builder
Getting builder- Returns:
- New Builder instance
-